summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-vim/phpdocs/phpdocs-0.26.ebuild')
-rw-r--r--app-vim/phpdocs/phpdocs-0.26.ebuild20
1 files changed, 20 insertions, 0 deletions
diff --git a/app-vim/phpdocs/phpdocs-0.26.ebuild b/app-vim/phpdocs/phpdocs-0.26.ebuild
new file mode 100644
index 00000000000..8317d06b1bd
--- /dev/null
+++ b/app-vim/phpdocs/phpdocs-0.26.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: PHPDoc Support in VIM"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=520"
+LICENSE="vim"
+KEYWORDS="alpha ~amd64 ia64 ppc sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE=""
+DEPEND="${DEPEND} >=sys-apps/sed-4"
+RDEPEND="${DEPEND}"
+
+VIM_PLUGIN_HELPURI="http://www.vim.org/scripts/script.php?script_id=520"
+
+src_unpack() {
+ unpack ${A}
+ sed -i 's/\r$//' "${S}"/plugin/phpdoc.vim || die "sed failed"
+}